## thruk-3.23.20250822.tar.gz

=== t/scenarios/logfile_cache_icinga2_ido_e2e/Makefile ===
include ../_common/Makefile.common

extra_wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ 0$$(echo "select count(*) from icinga_statehistory;" | mysql -u root -h 127.0.0.3 -P 60306 -proot icinga 2>/dev/null | grep -v ^count) -gt 10 ]; then break; else sleep 1; fi; \
	done
	echo "select count(*) from icinga_statehistory;" | mysql -u root -h 127.0.0.3 -P 60306 -proot icinga

extra_failed_test:
	echo "select count(*) from icinga_statehistory;" | mysql -u root -h 127.0.0.3 -P 60306 -proot icinga
	IDO_DB_HOST=127.0.0.3 IDO_DB_PORT=60306 IDO_DB_USER=root IDO_DB_PW=root IDO_DB_NAME=icinga ../../../support/icinga2_ido_fetchlogs.sh mysql | head -n 30

=== debian/changelog ===
thruk (3.23.20250822+1) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Fri, 22 Aug 2025 00:32:11 +0200

thruk (3.22.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Wed, 28 May 2025 17:14:52 +0200

thruk (3.22+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 12 Apr 2025 18:07:16 +0200

thruk (3.20.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Wed, 18 Dec 2024 17:43:12 +0100

thruk (3.20+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 16 Nov 2024 12:38:43 +0100

thruk (3.18+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 10 Sep 2024 22:30:42 +0200

thruk (3.16+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 12 Jul 2024 16:23:40 +0200

thruk (3.14.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 23 Mar 2024 19:21:42 +0100

thruk (3.14+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 19 Mar 2024 19:17:43 +0100

thruk (3.12+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 26 Jan 2024 18:41:41 +0100

thruk (3.10+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sun, 05 Nov 2023 16:24:36 +0100

thruk (3.08.3+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 21 Jul 2023 13:43:48 +0200

thruk (3.08.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 08 Jul 2023 09:56:33 +0200

thruk (3.08+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 01 Jul 2023 11:29:53 +0200

thruk (3.06+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Wed, 24 May 2023 14:12:28 +0200

thruk (3.04+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Mon, 20 Feb 2023 09:28:22 +0100

thruk (3.02+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Thu, 15 Dec 2022 20:56:40 +0100

thruk (3.00+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Mon, 14 Nov 2022 14:50:18 +0100

thruk (2.48.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 01 Jul 2022 14:36:35 +0200

thruk (2.48+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 02 Apr 2022 17:04:55 +0200

thruk (2.46.3+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 25 Jan 2022 15:05:02 +0100

thruk (2.46.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 14 Dec 2021 14:01:33 +0100

thruk (2.46+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Wed, 03 Nov 2021 21:47:05 +0100

thruk (2.44.3+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Thu, 10 Jun 2021 19:22:59 +0200

thruk (2.44.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 04 Jun 2021 18:08:02 +0200

thruk (2.44.1+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 28 May 2021 17:55:35 +0200

thruk (2.42.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Mon, 26 Apr 2021 10:02:56 +0200

thruk (2.42.1+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 16 Apr 2021 21:33:25 +0200

thruk (2.40+2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Mon, 14 Dec 2020 11:10:42 +0100

thruk (2.40+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 08 Dec 2020 14:55:48 +0100

thruk (2.38+2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 27 Oct 2020 11:42:39 +0100

thruk (2.38+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 06 Oct 2020 09:53:31 +0200

thruk (2.36) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Thu, 09 Jul 2020 18:07:34 +0200

thruk (2.34-3) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 12 Jun 2020 18:44:27 +0200

thruk (2.34-2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Wed, 20 May 2020 17:01:57 +0200

thruk (2.34) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 28 Mar 2020 09:52:41 +0100

thruk (2.32-2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 25 Oct 2019 17:05:54 +0200

thruk (2.32) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Thu, 17 Oct 2019 11:27:22 +0200

thruk (2.30-3) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 11 Jun 2019 15:52:49 +0200

thruk (2.30-2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 14 May 2019 11:55:56 +0200

thruk (2.30) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Thu, 09 May 2019 11:51:29 +0200



=== debian/control ===
Source: thruk
Section: net
Priority: optional
Maintainer: Sven Nierlein <sven.nierlein@consol.de>
Build-Depends: debhelper (>= 7), libthruk (>=2.44.2), lsb-release, apache2, perl, libmodule-install-perl
Standards-Version: 3.7.3
Homepage: http://www.thruk.org
Bugs: https://github.com/sni/thruk/issues
Vcs-Git: git://github.com/sni/thruk.git

Package: thruk
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${extra:Depends}, thruk-base (= ${source:Version})
Recommends: thruk-plugin-reporting (= ${source:Version})
Description: Monitoring Webinterface for Nagios/Naemon/Icinga and Shinken
 Thruk is a multibackend monitoring webinterface which currently
 supports Nagios, Naemon, Icinga and Shinken as backend using the Livestatus
 API. It is designed to be a 'dropin' replacement and covers almost
 all of the original features plus adds additional enhancements for
 large installations. This is the metapackage for complete Thruk setup.

Package: thruk-base
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${extra:Depends},
         libthruk (>=2.44.2),
         apache2 | nginx-light | nginx-full | nginx-extras | nginx-core | nginx,
         libapache2-mod-fcgid | nginx-light | nginx-full | nginx-extras | nginx-core | nginx,
         cron-daemon, logrotate, liblwp-protocol-https-perl
Provides: thruk
Replaces: thruk (<< 2.00)
Breaks: thruk (<< 2.00)
Description: Monitoring Webinterface for Nagios/Icinga and Shinken
 Thruk is a multibackend monitoring webinterface which currently
 supports Nagios, Icinga and Shinken as backend using the Livestatus
 API. It is designed to be a 'dropin' replacement and covers almost
 all of the original features plus adds additional enhancements for
 large installations. This package contains the Thruk gui base files.



Package: thruk-plugin-reporting
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
         thruk-base (= ${source:Version}), fonts-liberation
Description: This package contains the reporting addon for thruk useful for sla
 and event reporting.
